DCMTK: FunctionalGroups Class Reference

DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Private Attributes | List of all members
FunctionalGroups Class Reference

Class representing a list of functional groups where each type of group can only be once in the list. More...

## Public Types
typedef OFMap< DcmFGTypes::E_FGType, FGBase * >::iterator | iterator
| Iterator type for iterating functional groups.
typedef OFMap< DcmFGTypes::E_FGType, FGBase * >::const_iterator | const_iterator
| Const iterator type for iterating functional groups.

## Public Member Functions
| FunctionalGroups ()
| Constructor, creates empty set of functional groups.
virtual | ~FunctionalGroups ()
| Virtual destructor, cleans up set of functional groups and frees the related memory.
virtual void | clear ()
| Cleans up set of functional groups and frees the related memory.
virtual size_t | size () const
| Get the number of functional groups in the set.
virtual FGBase * | find (const DcmFGTypes::E_FGType fgType)
| Find a functional group by its type.
virtual FunctionalGroups::iterator | begin ()
| Iterator pointing to first functional group in the set.
virtual FunctionalGroups::iterator | end ()
| Iterator pointing behind last functional group in the set.
virtual FunctionalGroups::const_iterator | begin () const
| Const iterator pointing to first functional group in the set.
virtual FunctionalGroups::const_iterator | end () const
| Const iterator pointing behind last functional group in the set.
virtual OFCondition | insert (FGBase *group, const OFBool replaceOld)
| Insert new functional group; ownership is taken over from caller if function call is successful.
virtual FGBase * | remove (const DcmFGTypes::E_FGType fgType)
| Remove functional group specified by its type.

## Private Attributes
OFMap< DcmFGTypes::E_FGType, FGBase * > | m_groups
| Map holding the functional groups, one of each type at most.

## Detailed Description

Class representing a list of functional groups where each type of group can only be once in the list.

## Member Function Documentation

## ◆ begin() [1/2]

virtual FunctionalGroups::iterator FunctionalGroups::begin | ( |  | ) |
| virtual

Iterator pointing to first functional group in the set.

Returns
  First functional group in set

## ◆ begin() [2/2]

virtual FunctionalGroups::const_iterator FunctionalGroups::begin | ( |  | ) | const
| virtual

Const iterator pointing to first functional group in the set.

Returns
  First functional group in set

## ◆ end() [1/2]

virtual FunctionalGroups::iterator FunctionalGroups::end | ( |  | ) |
| virtual

Iterator pointing behind last functional group in the set.

Returns
  Iterator pointing behind last functional group in the set

## ◆ end() [2/2]

virtual FunctionalGroups::const_iterator FunctionalGroups::end | ( |  | ) | const
| virtual

Const iterator pointing behind last functional group in the set.

Returns
  Iterator pointing behind last functional group in the set

## ◆ find()

virtual FGBase * FunctionalGroups::find | ( | const DcmFGTypes::E_FGType | fgType | ) |
| virtual

Find a functional group by its type.

Parameters

  fgType | The type of the functional group

Returns
  The functional group, if found, NULL otherwise

## ◆ insert()

virtual OFCondition FunctionalGroups::insert | ( | FGBase * | group,
|  | const OFBool | replaceOld )
| virtual

Insert new functional group; ownership is taken over from caller if function call is successful.

Parameters

  group | The group to insert
  replaceOld | If OFTrue, then the existing functional group of the same type (if existing) is deleted and replaced by the given one.

Returns
  EC_Normal, if insertion was successful, error otherwise. In the latter case, the caller keeps the ownership of the given object.

## ◆ remove()

virtual FGBase * FunctionalGroups::remove | ( | const DcmFGTypes::E_FGType | fgType | ) |
| virtual

Remove functional group specified by its type.

The memory is not freed by the call but must freed by the caller using the returned pointer.

Parameters

  fgType | The type of the group to remove

Returns
  The functional group removed, or NULL, if not found

## ◆ size()

virtual size_t FunctionalGroups::size | ( |  | ) | const
| virtual

Get the number of functional groups in the set.

Returns
  Number of functional groups in the set

The documentation for this class was generated from the following file:

- dcmfg/include/dcmtk/dcmfg/fg.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.16.1